INTERFACE
SUBROUTINE ACDIFUS ( KIDIA,KFDIA,KLON,KTDIA,KLEV,KCSS,&
 & PAPHI,PAPHIF,PCP,PDELP,PFRSO,PKTROV,PKUROV,PKNROV,&
 & PQ,PRDELP,PT,PU,PV,PXTROV,PXUROV,PXPTKEROV,PALPH,&
 & PAPRSF,PAPRS,PR,PQL,PQI,PCOEFN,PTKE,PLMU,PLNPR,&
 & PCD,PCDN,PCDROV,PCHROV,PCEROV,PCPS,PCT,PDQSTS,PEMIS,PFHPS,&
 & PHQ,PHTR,PHU,PHV,PLSM,PIVEG,PNEIJ,PQS,PQSATS,&
 & PTP,PTS,PVEG,PXDROV,PXHROV,PWS,PWSI,&
 & PDIFTQ,PDIFTS,PSTRTU,PSTRTV,&
 & PDIFTQL,PDIFTQI,PTENDPTKE,&
 & PFCHSP,PFCLL,PFCLN,PFCS,PFEVI,PFEVL,PFEVN,&
 & PFEVV,PFTR,PLHS,&
 & PFRTH,&
 & PGZ0F,PGZ0HF,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KCSS
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPHIF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PFRSO(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PKTROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PKUROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PKNROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXTROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXUROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXPTKEROV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQL(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQI(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCOEFN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCD(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCDN(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCDROV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCHROV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCEROV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCPS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PCT(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PDQSTS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PFHPS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PHQ(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PHTR(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PHU(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PHV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PLSM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PIVEG(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PNEIJ(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQSATS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTP(KLON,KCSS)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVEG(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXDROV(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PXHROV(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWSI(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFTQ(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFTS(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRTU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSTRTV(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFTQL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PDIFTQI(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTKE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLMU(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCHSP(KLON,KCSS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCLL(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCLN(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFCS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFEVI(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFEVL(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFEVN(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFEVV(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFTR(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLHS(KLON)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTENDPTKE(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFRTH(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0F(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGZ0HF(KLON)
CHARACTER(LEN=7) ,INTENT(IN) :: CDLOCK
END SUBROUTINE ACDIFUS
END INTERFACE
